%define api 1.0
%define major 4
%define libname %mklibname dleyna-core %{api} %{major}
%define develname %mklibname -d dleyna-core %{api}

#define git 20150629

Name:	dleyna-core
Version:	0.5.0
Release:	%mkrel 1
Summary:	Utilities for higher level dLeyna libraries
Group:		System/Libraries
License:        LGPLv2
URL:            https://01.org/dleyna/
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.19.1

%description
A set of utility functions that are used by the higher level dLeyna libraries
to communicate with DLNA devices. It provides APIs for logging, error, settings
and task management, and an IPC abstraction.


%package -n %{libname}
Summary:	Utilities for higher level dLeyna libraries
Group:		System/Libraries

%description -n %{libname}
A set of utility functions that are used by the higher level dLeyna libraries
to communicate with DLNA devices. It provides APIs for logging, error, settings
and task management, and an IPC abstraction.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
autoreconf -f -i
%configure2_5x \
  --disable-silent-rules \
  --disable-static

%make


%install
%makeinstall

find %{buildroot} -name '*.la' -delete


%files -n %{libname}
%{_libdir}/libdleyna-core-%{api}.so.%{major}*

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libdleyna-core-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

%dir %{_includedir}/dleyna-%{api}
%dir %{_includedir}/dleyna-%{api}/libdleyna
%{_includedir}/dleyna-%{api}/libdleyna/core




%changelog
* Sat Mar 09 2019 tex 0.5.0-1pclos2019
- import from france
